#!/usr/bin/env bash
set -euxo pipefail

#
# Create emulator
#
# avdmanager --verbose create avd --force --name "pixel_6.0" --device "pixel" --package "system-images;android-23;google_apis;arm64-v8a" --tag "google_apis" --abi "arm64-v8a"


#
# Run emulator
#
# emulator @pixel_6.0

adb push build/hello-android-cli /data/local/tmp
adb shell /data/local/tmp/hello-android-cli
